Subject: Re: bug#61374: 30.0.50; Wrong mark-sexp with tree-sitter

From: Theodor Thornhill <[email-masked]>
Date: Sun, 19 Feb 2023 07:22:58 +0100

On 19 February 2023 03:15:42 CET, Ergus <[email-masked]> wrote:
>Hi Theo:
>
>I know you have multiple bug reports going on (actually some of them are
>all my fault ;p indeed) But this one with sexp is a very broken one
>IMHO, so I ping again ;).
>
>Did you finally got some time to think on this?
>
>Best,
>Ergus
>
>
>
>On Tue, Feb 14, 2023 at 11:50:56AM +0100, Theodor Thornhill wrote:
>> Ergus <[email-masked]> writes:
>> 
>>> Hi:
>>> 
>>> Sorry to bother. Any progress on this?
>>> 
>> 
>> No problem! No, not yet. Will try to look at it tonight. Thanks for
>> reminding me :)
>> 
>> Theo

No worries!

Yeah, I'm working on it, but it seems particularly hard with c for some reason. I haven't prioritized this lately as this code is in master, but the other fixes are on release branch.

I think I have a solution that will make the transition much easier, though. I'll see if I can make a proper attempt this evening.

Sorry :)

Theo